## hyphen-pa 0.5.5

=== Makefile ===
# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
# Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation;
#  version 3 or later version of the License.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA

DESTDIR = 
hyphdir = /usr/share/hyphen/
dictdir = /usr/share/myspell/dicts/
ooo_info_dir = /usr/share/myspell/infos/ooo/
docdir = /usr/share/doc/openoffice.org-hyphenation-pa/


dict_files = hyph_pa_IN.dic
doc_files = README ChangeLog
extra_files = Makefile
ooo_info_file = openoffice.org-hyphenation-pa
version = 0.5.5

distdir=hyphen-pa_${version}

all: ${doc_files} ${dict_files}

install: all
	mkdir -p ${DESTDIR}${ooo_info_dir}
	cp ${ooo_info_file}  ${DESTDIR}${ooo_info_dir}
	mkdir -p ${DESTDIR}${docdir}
	cp ${doc_files} ${DESTDIR}${docdir}
	mkdir -p ${DESTDIR}${hyphdir}
	cp ${dict_files} ${DESTDIR}${hyphdir}
	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
	mkdir -p ${DESTDIR}${dictdir}
	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
	update-openoffice-dicts  
	
	
uninstall:
	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}
	-cd ${DESTDIR}${docdir}/ && rm ${doc_files}
	-cd ${DESTDIR}${ooo_info_dir}/ && rm ${ooo_info_file}
	-cd ${DESTDIR}${hyphdir}/ && rm ${dict_files}
	
clean:
	-rm -rf ${distdir}.tar.bz2 ${distdir}	
	
dist:
	-rm -rf ${distdir}.tar.bz2 ${distdir}
	mkdir ${distdir}
	cp -p ${dict_files}  ${doc_files} ${ooo_info_file}  ${extra_files} ${distdir}/
	tar cf ${distdir}.tar ${distdir}/
	bzip2 -9 ${distdir}.tar
	rm -rf ${distdir}/

## hyphen-pa 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-# Copyright (C) 2011-2013 Shravan Aras <123.shravan@gmail.com>
+# Hyphenation Makefile
+# Copyright (C) 2009-2011 Shravan Aras <123.shravan@gmail.com>
 # Copyright (C) 2008-2010 Santhosh Thottingal <santhosh.thottingal@gmail.com>
 #
 #  This library is free software; you can redistribute it and/or
@@ -19,16 +20,16 @@
 hyphdir = /usr/share/hyphen/
 dictdir = /usr/share/myspell/dicts/
 ooo_info_dir = /usr/share/myspell/infos/ooo/
-docdir = /usr/share/doc/openoffice.org-hyphenation-pa/
+docdir = /usr/share/doc/hyphen-pa/
 
 
 dict_files = hyph_pa_IN.dic
 doc_files = README ChangeLog
 extra_files = Makefile
 ooo_info_file = openoffice.org-hyphenation-pa
-version = 0.5.5
+version = 0.7.0
 
-distdir=hyphen-pa_${version}
+distdir=hyphen-pa-${version}
 
 all: ${doc_files} ${dict_files}
 
@@ -41,9 +42,7 @@
 	cp ${dict_files} ${DESTDIR}${hyphdir}
 	chmod 644 ${DESTDIR}${hyphdir}${dict_files}	
 	mkdir -p ${DESTDIR}${dictdir}
-	ln -s ${DESTDIR}${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
-	update-openoffice-dicts  
-	
+	ln -s ${hyphdir}${dict_files} ${DESTDIR}${dictdir}${dict_files}
 	
 uninstall:
 	-cd ${DESTDIR}${dictdir}/ && rm ${dict_files}

=== debian/changelog ===
hyphen-pa (0.7.0-1) unstable; urgency=low

  [Muneeb Shaikh]
  * New upstream version.
  * Rename source package to: hyphen-pa
  * debian/control
    + Removed openoffice.org-updatedicts, it does not depend on it now
    + Added Libre/Open Office to Recommends

  [Vasudev Kamath]
  * FTBFS fix (Closes: #652750)

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Tue, 20 Dec 2011 21:27:11 +0530

hyphenation-pa (0.6.0-3) unstable; urgency=low

  [Kartik Mistry]
  * debian/copyright:
    + Fixed DEP-5 headers
    + Corrected license text to LGPL-3

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Tue, 23 Aug 2011 10:26:59 +0530

hyphenation-pa (0.6.0-2) unstable; urgency=low

  [Vasudev Kamath]
  * debian/watch:
    + Fixed the upstream download URL

  [Kartik Mistry]
  * debian/control:
    + Arch: all now. Package has no ELF binaries.
    + Standards-Version to 3.9.2 (no changes needed)

 -- Debian-IN Team <debian-in-workers@lists.alioth.debian.org>  Mon, 22 Aug 2011 14:07:48 +0530

hyphenation-pa (0.6.0-1) unstable; urgency=low

  [Swapnil Kulkarni]
   * Initial release. (Closes: #542428)

  [Vasudev Kamath]
   * Made Debian-IN as maintainer and Swapnil as uploader
   * Added Vcs-* fields

  [Kartik Mistry]
  * debian/control:
    + Binary is: hyphen-pa as per other hyphen packages
    + Fixed typo in Vcs-browser field
    + Typo: panjabi->Punjabi
  * debian/rules:
    + Do not install upstream changelog twice

 -- Swapnil Kulkarni <swapnilkulkarni.cofsug@gmail.com>  Sun, 10 Apr 2011 14:16:10 +0530

=== debian/control ===
Source: hyphen-pa
Section: text
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Swapnil Kulkarni <swapnilkulkarni.cofsug@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               dictionaries-common (>= 0.10)
Standards-Version: 3.9.2
Homepage: http://wiki.smc.org.in/Hyphenation
Vcs-Git: git://git.debian.org/debian-in/hyphen-pa.git
Vcs-Browser: http://git.debian.org/?p=debian-in/hyphen-pa.git;a=summary

Package: hyphen-pa
Architecture: all
Depends: ${misc:Depends},
         dictionaries-common (>= 0.10)
Recommends: libreoffice-writer | openoffice.org-writer
Description: Punjabi hyphenation patterns for OpenOffice.org/LibreOffice
 Hyphenation is the process inserting hyphens in between the syllables of a
 word so that when the text is justified, maximum space is utilized.
 .
 This package provides the hyphenation rules for Punjabi language.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm debian/hyphen-pa/usr/share/doc/hyphen-pa/ChangeLog

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/smc/hyphenation/patterns/hyphen-pa-(.*)\.tar\.bz2 debian uupdate
